<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>LibSylph: Sylph/Core/Common.h Source File</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.8 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="classes.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
    </ul>
  </div>
<h1>Sylph/Core/Common.h</h1><a href="_common_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment"> * LibSylph Class Library</span>
<a name="l00003"></a>00003 <span class="comment"> * Copyright (C) 2009 Frank "SeySayux" Erens &lt;seysayux@gmail.com&gt;</span>
<a name="l00004"></a>00004 <span class="comment"> *</span>
<a name="l00005"></a>00005 <span class="comment"> * This library is free software; you can redistribute it and/or</span>
<a name="l00006"></a>00006 <span class="comment"> * modify it under the terms of the LibSylph Pulbic License as published</span>
<a name="l00007"></a>00007 <span class="comment"> * by the LibSylph Developers; either version 1.0 of the License, or</span>
<a name="l00008"></a>00008 <span class="comment"> * (at your option) any later version.</span>
<a name="l00009"></a>00009 <span class="comment"> *</span>
<a name="l00010"></a>00010 <span class="comment"> * This library is distributed in the hope that it will be useful,</span>
<a name="l00011"></a>00011 <span class="comment"> * but WITHOUT ANY WARRANTY; without even the implied warranty of</span>
<a name="l00012"></a>00012 <span class="comment"> * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the LibSylph</span>
<a name="l00013"></a>00013 <span class="comment"> * Public License for more details.</span>
<a name="l00014"></a>00014 <span class="comment"> *</span>
<a name="l00015"></a>00015 <span class="comment"> * You should have received a copy of the LibSylph Public License</span>
<a name="l00016"></a>00016 <span class="comment"> * along with this Library, if not, contact the LibSylph Developers.</span>
<a name="l00017"></a>00017 <span class="comment"> *</span>
<a name="l00018"></a>00018 <span class="comment"> * Created on 25 april 2009, 15:42</span>
<a name="l00019"></a>00019 <span class="comment"> */</span>
<a name="l00020"></a>00020 
<a name="l00021"></a>00021 <span class="preprocessor">#ifndef COMMON_H_</span>
<a name="l00022"></a>00022 <span class="preprocessor"></span><span class="preprocessor">#define COMMON_H_</span>
<a name="l00023"></a>00023 <span class="preprocessor"></span>
<a name="l00050"></a>00050 <span class="preprocessor">#include "Any.h"</span>
<a name="l00051"></a>00051 <span class="preprocessor">#include "Array.h"</span>
<a name="l00052"></a>00052 <span class="preprocessor">#include "Dictionary.h"</span>
<a name="l00053"></a>00053 <span class="preprocessor">#include "File.h"</span>
<a name="l00054"></a>00054 <span class="preprocessor">#include "Primitives.h"</span>
<a name="l00055"></a>00055 <span class="preprocessor">#include "Range.h"</span>
<a name="l00056"></a>00056 <span class="preprocessor">#include "String.h"</span>
<a name="l00057"></a>00057 <span class="preprocessor">#include "Exception.h"</span>
<a name="l00058"></a>00058 
<a name="l00059"></a>00059 <span class="preprocessor">#ifndef SYLPH_NO_COMMON_USING</span>
<a name="l00060"></a>00060 <span class="preprocessor"></span><span class="keyword">using</span> <a class="code" href="class_sylph_1_1_array.html" title="Array provides a safe array.">Sylph::Array</a>;
<a name="l00061"></a>00061 <span class="keyword">using</span> <a class="code" href="class_sylph_1_1_hash_map.html">Sylph::Dictionary</a>;
<a name="l00062"></a>00062 <span class="keyword">using</span> <a class="code" href="class_sylph_1_1_string.html" title="The String class represents character strings.">Sylph::String</a>;
<a name="l00063"></a>00063 <span class="keyword">using</span> Sylph::range;
<a name="l00064"></a>00064 <span class="preprocessor">#endif</span>
<a name="l00065"></a>00065 <span class="preprocessor"></span>
<a name="l00066"></a>00066 
<a name="l00067"></a>00067 <span class="preprocessor">#endif  </span><span class="comment">/* COMMON_H_ */</span>
<a name="l00068"></a>00068 
</pre></div></div>
<hr size="1" class="unhidden"><address style="text-align: right;"><small>
Documentation for LibSylph by Doxygen
</body>
</html>
